Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Interface FlatFileOptions

All Known Implementing Classes:
  FlatFileOptionsImpl

    public interface FlatFileOptions

Method Summary
`Alignment` | `getAlignment()`
`ByteTrimmer` | `getByteTrimmer()`
`java.nio.charset.Charset` | `getCharset()`
`CharTrimmer` | `getCharTrimmer()`
`CommentStarter` | `getCommentStarter()`
`CommentStarterByteChecker` | `getCommentStarterByteChecker()`
`CommentStarterCharChecker` | `getCommentStarterCharChecker()`
`java.nio.charset.Charset` | `getDefaultCharset()`
`ByteDelimiterExtractor[]` | `getFieldByteDelimiterExtractors()`
`CharDelimiterExtractor[]` | `getFieldCharDelimiterExtractors()`
`DelimiterExtractor[]` | `getFieldDelimiterExtractors()`
`Delimiter[]` | `getFieldDelimiters()`
`int` | `getIndexBase()`
`ByteDelimiterExtractor[]` | `getNameByteDelimiterExtractors()`
`CharDelimiterExtractor[]` | `getNameCharDelimiterExtractors()`
`DelimiterExtractor[]` | `getNameDelimiterExtractors()`
`Delimiter[]` | `getNameDelimiters()`
`char` | `getPadCharacter()`
`QuoteSymbol` | `getQuoteSymbol()`
`QuoteSymbolByteChecker` | `getQuoteSymbolByteChecker()`
`QuoteSymbolCharChecker` | `getQuoteSymbolCharChecker()`
`ByteDelimiterExtractor[]` | `getRecordByteDelimiterExtractors()`
`CharDelimiterExtractor[]` | `getRecordCharDelimiterExtractors()`
`DelimiterExtractor[]` | `getRecordDelimiterExtractors()`
`Delimiter` | `getRecordDelimiterForWriting()`
`Delimiter[]` | `getRecordDelimiters()`
`ByteDelimiterExtractor[]` | `getRepeatByteDelimiterExtractors()`
`CharDelimiterExtractor[]` | `getRepeatCharDelimiterExtractors()`
`DelimiterExtractor[]` | `getRepeatDelimiterExtractors()`
`Delimiter[]` | `getRepeatDelimiters()`
`ByteDelimiterExtractor[]` | `getSegmentByteDelimiterExtractors()`
`CharDelimiterExtractor[]` | `getSegmentCharDelimiterExtractors()`
`DelimiterExtractor[]` | `getSegmentDelimiterExtractors()`
`Delimiter[]` | `getSegmentDelimiters()`
`ByteDelimiterExtractor[]` | `getSubfieldByteDelimiterExtractors()`
`CharDelimiterExtractor[]` | `getSubfieldCharDelimiterExtractors()`
`DelimiterExtractor[]` | `getSubfieldDelimiterExtractors()`
`Delimiter[]` | `getSubfieldDelimiters()`
`boolean` | `isAlwaysQuote()`
`boolean` | `isCountPositionsInBytes()`
`boolean` | `isFlushRecordOnWrite()`
`boolean` | `isIgnoreEmptyLines()`
`boolean` | `isIgnoreTrailingEmptyLines()`
`boolean` | `isLineDelimited()`
`boolean` | `isOmitFinalFieldDelimiter()`
`boolean` | `isOmitFinalRepeatDelimiter()`
`boolean` | `isQuote()`
`boolean` | `isTrimLeading()`
`boolean` | `isTrimLeadingWithinQuotes()`
`boolean` | `isTrimTrailing()`
`boolean` | `isTrimTrailingWithinQuotes()`
`int` | `rebaseIndex(int index)`
`boolean` | `useQuotes(java.lang.String value)`

Method Detail

### getDefaultCharset

    java.nio.charset.Charset getDefaultCharset()

### getCharset

    java.nio.charset.Charset getCharset()

### getByteTrimmer

    ByteTrimmer getByteTrimmer()

### getCharTrimmer

    CharTrimmer getCharTrimmer()

### getQuoteSymbolByteChecker

    QuoteSymbolByteChecker getQuoteSymbolByteChecker()

### getQuoteSymbolCharChecker

    QuoteSymbolCharChecker getQuoteSymbolCharChecker()

### isIgnoreTrailingEmptyLines

    boolean isIgnoreTrailingEmptyLines()

### isIgnoreEmptyLines

    boolean isIgnoreEmptyLines()

### isLineDelimited

    boolean isLineDelimited()

### getCommentStarter

    CommentStarter getCommentStarter()

### getCommentStarterByteChecker

    CommentStarterByteChecker getCommentStarterByteChecker()

### getCommentStarterCharChecker

    CommentStarterCharChecker getCommentStarterCharChecker()

### getRecordDelimiterForWriting

    Delimiter getRecordDelimiterForWriting()

### isOmitFinalFieldDelimiter

    boolean isOmitFinalFieldDelimiter()

### isOmitFinalRepeatDelimiter

    boolean isOmitFinalRepeatDelimiter()

### getRecordDelimiters

    Delimiter[] getRecordDelimiters()

### getSegmentDelimiters

    Delimiter[] getSegmentDelimiters()

### getFieldDelimiters

    Delimiter[] getFieldDelimiters()

### getNameDelimiters

    Delimiter[] getNameDelimiters()

### getRepeatDelimiters

    Delimiter[] getRepeatDelimiters()

### getSubfieldDelimiters

    Delimiter[] getSubfieldDelimiters()

### isCountPositionsInBytes

    boolean isCountPositionsInBytes()

### isFlushRecordOnWrite

    boolean isFlushRecordOnWrite()

### isTrimLeading

    boolean isTrimLeading()

### isTrimTrailing

    boolean isTrimTrailing()

### isTrimLeadingWithinQuotes

    boolean isTrimLeadingWithinQuotes()

### isTrimTrailingWithinQuotes

    boolean isTrimTrailingWithinQuotes()

### getQuoteSymbol

    QuoteSymbol getQuoteSymbol()

### isQuote

    boolean isQuote()

### isAlwaysQuote

    boolean isAlwaysQuote()

### getAlignment

    Alignment getAlignment()

### getPadCharacter

    char getPadCharacter()

### useQuotes

    boolean useQuotes(java.lang.String value)

### getRecordByteDelimiterExtractors

    ByteDelimiterExtractor[] getRecordByteDelimiterExtractors()

### getSegmentByteDelimiterExtractors

    ByteDelimiterExtractor[] getSegmentByteDelimiterExtractors()

### getRepeatByteDelimiterExtractors

    ByteDelimiterExtractor[] getRepeatByteDelimiterExtractors()

### getNameByteDelimiterExtractors

    ByteDelimiterExtractor[] getNameByteDelimiterExtractors()

### getFieldByteDelimiterExtractors

    ByteDelimiterExtractor[] getFieldByteDelimiterExtractors()

### getSubfieldByteDelimiterExtractors

    ByteDelimiterExtractor[] getSubfieldByteDelimiterExtractors()

### getRecordCharDelimiterExtractors

    CharDelimiterExtractor[] getRecordCharDelimiterExtractors()

### getSegmentCharDelimiterExtractors

    CharDelimiterExtractor[] getSegmentCharDelimiterExtractors()

### getRepeatCharDelimiterExtractors

    CharDelimiterExtractor[] getRepeatCharDelimiterExtractors()

### getNameCharDelimiterExtractors

    CharDelimiterExtractor[] getNameCharDelimiterExtractors()

### getFieldCharDelimiterExtractors

    CharDelimiterExtractor[] getFieldCharDelimiterExtractors()

### getSubfieldCharDelimiterExtractors

    CharDelimiterExtractor[] getSubfieldCharDelimiterExtractors()

### getRecordDelimiterExtractors

    DelimiterExtractor[] getRecordDelimiterExtractors()

### getSegmentDelimiterExtractors

    DelimiterExtractor[] getSegmentDelimiterExtractors()

### getRepeatDelimiterExtractors

    DelimiterExtractor[] getRepeatDelimiterExtractors()

### getNameDelimiterExtractors

    DelimiterExtractor[] getNameDelimiterExtractors()

### getFieldDelimiterExtractors

    DelimiterExtractor[] getFieldDelimiterExtractors()

### getSubfieldDelimiterExtractors

    DelimiterExtractor[] getSubfieldDelimiterExtractors()

### rebaseIndex

    int rebaseIndex(int index)

### getIndexBase

    int getIndexBase()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD